## Understand Client

Understand for C++ listens for requests from other programs. The command line version of the program “understand_c” is used to send requests to the Understand for C++ server.

A client request may be to tell the Info Browser and all synchronized view windows to show information about a particular entityname. Or a request may be to show a particular view of a specific class or file. Or to configure or analyze a project, perform a Find in Files search, or to find a class.

The understand_c program accepts commands in the following forms:

- Perform an action on an entity using the current Understand for C++ session:

    understand_c -n[ame] entityname -file filename
      [-line line -col column] actionCommand

- Perform an action on an entity specifying the Understand project to use:

    understand_c [-db database] [-new | -existing]
      -n[ame] entityname -file filename
      [-line line -col column] actionCommand

- Perform an action on a file entity:

    understand_c [-db database] [-new | -existing]
      -efile entity_filename actionCommand

- Open any file (not project-dependent):

    understand_c -openfile filename

Scientific Toolworks, Inc. http://www.scitools.com